Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012351ScribusUndo/Redopublic2014-06-06 22:052014-07-09 03:19
ReporterFirasH 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusconfirmedResolutionopen 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version 
Summary0012351: Redo does not restore actions applied after grouping items
DescriptionRedo does not restore actions applied after grouping items.
Steps To Reproduce0) Create a new document and open Windows > Action History
1) Insert 2 items (tested with Shapes)
2) Select the 2 items and right-click > Group
3) Resize the Group

Undo works
Redo does not restore "GroupX - Resize"

All actions applied to the Group after Step 3 are not restored by Redo, such as Resize and Move.
Additional InformationScribus 1.5.0 SVN (19184)
Tagsundo
Patch
Attached Files

- Relationships
related to 0012491confirmed Undo/Redo does not restore Group of Groups 
child of 0012500acknowledged Metabug: Undo/Redo (1.5.0.svn) 

-  Notes
(0032536)
Kunda (manager)
2014-07-07 14:31

Reproduced on OSX 10.8.5 1.5svn r19322

- Issue History
Date Modified Username Field Change
2014-06-06 22:05 FirasH New Issue
2014-06-17 11:52 FirasH Tag Attached: undo
2014-07-07 14:14 FirasH Relationship added related to 0012491
2014-07-07 14:31 Kunda Note Added: 0032536
2014-07-07 14:31 Kunda Status new => confirmed
2014-07-07 14:31 Kunda Target Version => 1.5.1
2014-07-09 03:19 FirasH Relationship added child of 0012500



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker